﻿@using BenhVien.MODEL
@using BenhVien.UI.Models;
@model IEnumerable<SuDungDichVuThongTin>
@{
    /**/
    UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
    int stt = 0;
    var db = new BenhVienEntities();
}
@if (Model != null && Model.Count() > 0)
{
    foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@(++stt)</td>
            <td class="text-center">
                <span class="">@item.SuDungDichVu.MaPhieu</span>
            </td>
            <td class="text-center">
                <span class="red">@item.NguoiDung.HoTen</span>
            </td>
            <td class="text-center">
                @if (item.KhamBenh != null)
                {
                    <span class="red">@(db.NguoiDungs.FirstOrDefault(x => x.Id == item.KhamBenh.NguoiDungID).HoTen)</span>
                }
                else if (item.NhapVien != null)
                {
                    <span class="red">@(db.NguoiDungs.FirstOrDefault(x => x.Id == item.NhapVien.NguoiDungID).HoTen)</span>
                }
                else
                {
                    <span class="red">Khách lẻ</span>
                }

            </td>
            <td class="text-center">
                <span class="">@(item.ChiTiet.Sum(x => x.DichVu.Gia * x.ChiTietSuDungDichVu.SoLuong).Value.ToString("#,###"))</span>
            </td>
            <td class="text-center">
                <span class="">@item.SuDungDichVu.NgayTao.Value.ToString("dd/MM/yyyy")</span>
            </td>
            <td class="text-center">
                <span data-id="@item.SuDungDichVu.Id" onclick="CapNhatTrangThai($(this))" style="cursor: pointer" title="Cập nhật trạng thái">
                    <i class="btn-xs btn-success" style="font-size:14px;">@(EnumTrangThaiDichVu.ToString(item.SuDungDichVu.TrangThaiID))</i>
                </span>
            </td>

            <td class="text-center clickable-td">
                <div class="dropdown">
                    <button class="btn btn-xs btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:160px;">
                        Thao tác
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu">
                        <li>
                            <a class="btn btn-xs btn-success" style="cursor:pointer;padding-right:10px;" onclick="javascript: $('#modal-qltaikhoan').load('@Url.Action("SuDungDichVu","KhamBenh", new { area = "QuanTri", id = item.SuDungDichVu.Id, status = EnumStatus.ACTIVE})', function (e) { $('#modal-qltaikhoan').modal('show'); });"><i class="fa fa-pencil-square-o"></i> Chi tiết</a>
                        </li>
                        <li>
                            <a class="btn btn-xs btn-danger" data-id="@item.SuDungDichVu.Id" onclick="Xoa($(this))"><i class="fa fa-trash"></i> Xóa</a>
                        </li>
                    </ul>
                </div>

            </td>
        </tr>

    }
}
<script>
    $('#idsotrang').val('@ViewBag.sotrang');
    document.getElementById("idtongsotrang").innerHTML = '@ViewBag.tongsotrang';
    document.getElementById("idtongso").innerHTML = '(' + '@ViewBag.tongso' + ')';
    $(".clickable-td").on("click", function (e) {
        //e.stopPropagation();
        $(".dropdown-toggle").dropdown();
    });

</script>

